Name:           libpri
Version:        1.6.1
%global so_version 1.4
Release:    1%{?dist}
Summary:        An implementation of Primary Rate ISDN

License:        GPL-2.0-only WITH libpri-OpenH323-exception AND GPL-2.0-only WITH Asterisk-exception
URL:            https://www.asterisk.org/
%global src_base https://downloads.asterisk.org/pub/telephony/libpri/releases
Source0:        %{src_base}/libpri-%{version}.tar.gz
Source1:        %{src_base}/libpri-%{version}.tar.gz.asc
Source2:        libpri.gpg

Patch0:          zero-sized-members.patch

BuildRequires:  gnupg2

BuildRequires:  make
BuildRequires:  gcc

BuildRequires:  dahdi-tools-devel

%description
libpri is a C implementation of the Primary Rate ISDN specification. It was
based on the Bellcore specification SR-NWT-002343 for National ISDN. As of May
12, 2001, it has been tested work to with NI-2, Nortel DMS-100, and Lucent 5E
Custom protocols on switches from Nortel and Lucent.


%package devel
Summary:        Development files for libpri
Requires:       libpri = %{version}-%{release}

%description devel
The libpri-devel package contains libraries and header files for developing
applications that use libpri.


%package doc
Summary:        Documentation for libpri

BuildArch:      noarch

%description doc
Currently, the libpri-doc package contains the pseudocode for the finite state
machines used in its implementation.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
%make_build


%install
%make_install INSTALL_BASE=%{_prefix} libdir=%{_libdir}
find %{buildroot} -name '*.a' -print -delete


%check
./rosetest
./testprilib


%files
%license LICENSE
%{_libdir}/libpri.so.%{so_version}


%files devel
%{_includedir}/libpri.h
%{_libdir}/libpri.so


%files doc
%license LICENSE
%doc CHANGES.md README.md
%doc ChangeLogs/
%doc README
%doc doc/*.fsm


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-1
- initial build
